# Vocab

- Buffer: a text buffer.  Doesn't have to correspond to an on-disk text file, can also be in-memory scratch buffers.
- Editor: an open view into a text buffer.
- EditorState: the view position and cursors/selections of an editor for a particular buffer.
- Mark: an abstract representation of a range in the text.  Used for representing cursors and selections, among other things.
- Change: a record of simultaneous edits to a buffer.  Includes data to both apply and undo the edits.
- History: a history of changes made to a buffer.  Used for undo.
